Subject: Re: swi-pl 3.3.0 beta

From: Jan Wielemaker <[email-masked]>
Date: Mon, 22 Nov 1999 10:25:06 +0100

On Sun, 21 Nov 1999, Cortelli Paolo wrote:
>Hello,
>      I'm trying swi-pl 3.3.0 beta and have found that bug:
>?- see(myfile),seeing(F).
>sometimes it exits to Windows, but you can also receive what follows:
>
>F = current_input 
>Unknown action: f (h for help)
>Action? 
>------------------------------------

The SWI-Prolog toplevel reads from current_input and hence if you
do see(Something), all subsequent toplevel input will be read from
this input channal.  It is probably better to read toplevel actions
from user_input.  
>
>There's also another bug in previous version:
>?- get0(A),get0(B),get0(C).
>|: 1234567.
>
>A = 49
>B = 50
>C = 51 
>Unknown action (h for help)
>Action? Action? 

Same problem.

>That is, all characters after the three ones get should remain in the

>Couldn't it be possible to have a function which return the keyboard input
>included function keys, the pages up and down and so on?

Not that sure.  SWI-Prolog is a simple character-based application. 
I've got the fealing that if you want to do advanced I/O you should use
SWI-Prolog with some GUI or other library (for example XPCE).

	--- Jan